## ros-noetic-psen-scan-v2 0.10.2

=== CMakeLists.txt ===
# Copyright (c) 2020-2021 Pilz GmbH & Co. KG
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)
project(psen_scan_v2)

add_compile_options(-std=c++14)
add_compile_options(-Wall)
add_compile_options(-Wextra)
add_compile_options(-Wno-unused-parameter)
add_compile_options(-Werror)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(catkin REQUIRED COMPONENTS
  rosconsole_bridge
  roscpp
  sensor_msgs
  cmake_modules # Needed for find_package(TinyXML2 REQUIRED)
  message_generation
  geometry_msgs
  visualization_msgs
  std_msgs
)

## System dependencies are found with CMake's conventions
find_package(Boost 1.69) ## Boost::system is header-only since 1.69
if(NOT Boost_FOUND)
  #catkin_lint: ignore_once shadowed_find
  find_package(Boost REQUIRED COMPONENTS system)
endif()
find_package(console_bridge REQUIRED)
find_package(fmt REQUIRED)

find_package(TinyXML2 REQUIRED)

add_message_files(
  FILES
  InputPinState.msg
  InputPinID.msg
  OutputPinState.msg
  OutputPinID.msg
  IOState.msg
  ZoneSet.msg
  ZoneSetConfiguration.msg
)

generate_messages(
  DEPENDENCIES
  geometry_msgs
  visualization_msgs
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    roscpp
    sensor_msgs
    message_runtime
    geometry_msgs
    std_msgs
    visualization_msgs
  DEPENDS TinyXML2
)


###############
## Sanitizer ##
###############
# to run (only one sanitizer at a time):
# 1. Set environment variables for log_path in your shell
# export ASAN_OPTIONS="log_path=/path/to/asan-logs"
# export TSAN_OPTIONS="log_path=/path/to/tsan-logs"
# export UBSAN_OPTIONS="log_path=/path/to/ubsan-logs"
# 2. Compile
# catkin_make -DCATKIN_SANITIZER=address|thread|undefined
# 3. Run the node
# 4. Check log_path folder for contents
# build and devel folders have to be deleted before run
if(CATKIN_SANITIZER)
  set(SANITIZER_OPTIONS "address|thread|undefined")
  if("${CATKIN_SANITIZER}" MATCHES "${SANITIZER_OPTIONS}")
    message(STATUS "Activated: ${CATKIN_SANITIZER}-sanitizer")
    add_compile_options(-fsanitize=${CATKIN_SANITIZER} -g)
  else()
    message(FATAL_ERROR "${CATKIN_SANITIZER} is not a valid sanitizer. Valid options are: [${SANITIZER_OPTIONS}]")
  endif()
endif()

################
## Clang tidy ##
################
# to run: catkin_make -DCATKIN_ENABLE_CLANG_TIDY=true
# build and devel folders have to be deleted before run
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}" -header-filter=src/${PROJECT_NAME}/.*)
  endif()
endif()

######################
## Build Standalone ##
######################

include_directories(
  include
  standalone/include
  ${console_bridge_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${TinyXML2_INCLUDE_DIRS}
)

set(${PROJECT_NAME}_standalone_sources
  standalone/src/scanner_v2.cpp
  standalone/src/io_state.cpp
  standalone/src/laserscan.cpp
  standalone/src/data_conversion_layer/monitoring_frame_msg.cpp
  standalone/src/data_conversion_layer/start_request.cpp
  standalone/src/data_conversion_layer/start_request_serialization.cpp
  standalone/src/data_conversion_layer/stop_request_serialization.cpp
  standalone/src/data_conversion_layer/monitoring_frame_deserialization.cpp
  standalone/src/data_conversion_layer/diagnostics.cpp
  standalone/src/data_conversion_layer/scanner_reply_serialization_deserialization.cpp
)

add_library(
  ${PROJECT_NAME}_standalone
  ${${PROJECT_NAME}_standalone_sources}
)

target_link_libraries(${PROJECT_NAME}_standalone
  ${Boost_LIBRARIES}
  ${console_bridge_LIBRARIES}
  fmt::fmt
)
target_include_directories(${PROJECT_NAME}_standalone PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")

add_library(
  ${PROJECT_NAME}_standalone_xml_configuration_import
  standalone/src/configuration/xml_configuration_parsing.cpp
)

target_link_libraries(${PROJECT_NAME}_standalone_xml_configuration_import
  ${console_bridge_LIBRARIES}
  ${TinyXML_LIBRARIES}
  ${TinyXML2_LIBRARIES}
  fmt::fmt
)
target_include_directories(${PROJECT_NAME}_standalone_xml_configuration_import PUBLIC "${CMAKE_CURRENT_SOURCE_DIR}/include")

###########
## Build ##
###########

set(${PROJECT_NAME}_node_sources
  src/psen_scan_driver.cpp
)

add_executable(${PROJECT_NAME}_node ${${PROJECT_NAME}_node_sources})
target_link_libraries(${PROJECT_NAME}_node
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}_standalone
  fmt::fmt
)
add_dependencies(${PROJECT_NAME}_node
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
)


add_executable(config_server_node
  src/config_server_node_main.cpp
  src/config_server_node.cpp)
target_link_libraries(config_server_node
  ${catkin_LIBRARIES}
  ${PROJECT_NAME}_standalone_xml_configuration_import
)
add_dependencies(config_server_node
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
)


add_executable(active_zoneset_node
  src/active_zoneset_node_main.cpp
  src/active_zoneset_node.cpp
)
target_link_libraries(active_zoneset_node
  ${catkin_LIBRARIES}
  fmt::fmt
)
add_dependencies(active_zoneset_node
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
)

#############
## Install ##
#############

install(DIRECTORY include/${PROJECT_NAME}/ standalone/include/${PROJECT_NAME}_standalone/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY urdf/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf)

install(TARGETS
  ${PROJECT_NAME}_node
  ${PROJECT_NAME}_standalone
  config_server_node
  active_zoneset_node
  ${PROJECT_NAME}_standalone_xml_configuration_import
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/zonesets_visualization.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

############
##  Test  ##
############
if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)
  find_package(roslaunch REQUIRED)
  find_package(rosbag REQUIRED)

  if(ENABLE_COVERAGE_TESTING)
    find_package(code_coverage REQUIRED)
    append_coverage_compiler_flags()
  endif()

  roslaunch_add_file_check(launch DEPENDENCIES ${PROJECT_NAME}_node)

  include_directories(
    standalone/include
    standalone/test/include
    test/include
    ${catkin_INCLUDE_DIR}
  )

  ##################
  ##  Unit-Tests  ##
  ##################
  catkin_add_gtest(unittest_new_exceptions
    test/unit_tests/unittest_new_exceptions.cpp
  )
  target_link_libraries(unittest_new_exceptions
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_raw_processing
    standalone/test/unit_tests/data_conversion_layer/unittest_raw_processing.cpp
  )
  target_link_libraries(unittest_raw_processing
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_start_request
    standalone/test/unit_tests/data_conversion_layer/unittest_start_request.cpp
    standalone/src/data_conversion_layer/start_request.cpp
    standalone/src/data_conversion_layer/start_request_serialization.cpp
  )
  target_link_libraries(unittest_start_request
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_stop_request
    standalone/test/unit_tests/data_conversion_layer/unittest_stop_request.cpp
    standalone/src/data_conversion_layer/stop_request_serialization.cpp
  )
  target_link_libraries(unittest_stop_request
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_scan_range
    standalone/test/unit_tests/util/unittest_scan_range.cpp
  )
  target_link_libraries(unittest_scan_range
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_scanner_configuration
    standalone/test/unit_tests/configuration/unittest_scanner_configuration.cpp
  )
  target_link_libraries(unittest_scanner_configuration
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_tenth_of_degree
    standalone/test/unit_tests/util/unittest_tenth_of_degree.cpp
  )

  catkin_add_gmock(unittest_udp_client
    standalone/test/unit_tests/communication_layer/unittest_udp_client.cpp
  )
  target_link_libraries(unittest_udp_client
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_tenth_degree_conversion
    standalone/test/unit_tests/data_conversion_layer/unittest_tenth_degree_conversion.cpp
  )
  target_link_libraries(unittest_tenth_degree_conversion
    ${catkin_LIBRARIES}
  )

  catkin_add_gtest(unittest_laserscan
    standalone/test/unit_tests/api/unittest_laserscan.cpp
    standalone/src/io_state.cpp
    standalone/src/laserscan.cpp
  )
  target_link_libraries(unittest_laserscan
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_pin_state
    standalone/test/unit_tests/api/unittest_pin_state.cpp
    standalone/src/io_state.cpp
  )
  target_link_libraries(unittest_pin_state
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_io_state
    standalone/test/unit_tests/api/unittest_io_state.cpp
    standalone/src/io_state.cpp
  )
  target_link_libraries(unittest_io_state
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_io_state_conversions
    standalone/test/unit_tests/data_conversion_layer/unittest_io_state_conversions.cpp
    standalone/src/io_state.cpp
  )
  target_link_libraries(unittest_io_state_conversions
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_io_pin_data
    standalone/test/unit_tests/data_conversion_layer/unittest_io_pin_data.cpp
  )
  target_link_libraries(unittest_io_pin_data
    ${catkin_LIBRARIES}
  )

  catkin_add_gmock(unittest_laserscan_conversions
    standalone/test/unit_tests/data_conversion_layer/unittest_laserscan_conversions.cpp
    standalone/src/io_state.cpp
    standalone/src/laserscan.cpp
    standalone/src/data_conversion_layer/monitoring_frame_msg.cpp
    standalone/src/data_conversion_layer/diagnostics.cpp
  )
  target_link_libraries(unittest_laserscan_conversions
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_laserscan_ros_conversions
    test/unit_tests/unittest_laserscan_ros_conversions.cpp
    standalone/src/io_state.cpp
    standalone/src/laserscan.cpp
    standalone/src/data_conversion_layer/monitoring_frame_msg.cpp
    standalone/src/data_conversion_layer/diagnostics.cpp
  )
  target_link_libraries(unittest_laserscan_ros_conversions
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gtest(unittest_scanner_reply_msg
    standalone/test/unit_tests/data_conversion_layer/unittest_scanner_reply_msg.cpp
    standalone/src/data_conversion_layer/scanner_reply_serialization_deserialization.cpp
  )
  target_link_libraries(unittest_scanner_reply_msg
    ${catkin_LIBRARIES}
    fmt::fmt
  )

  catkin_add_gmock(unittest_monitoring_frame_msg
    standalone/test/unit_tests/data_conversion_layer/unittest_monitoring_frame_msg.cpp
    standalone/src/data_conversion_layer/monitoring_frame_msg.cpp
    standalone/src/data_conversion_layer/diagnostics.cpp
    standalone/src/data_conversion_layer/monitoring_frame_deserialization.cpp
    standalone/src/io_state.cpp
  )

=== debian/changelog ===
ros-noetic-psen-scan-v2 (0.10.2-1focal) focal; urgency=high

  * Remove zoneset bits from IOState.input field since its redundant to the active_zoneset field (#311)
  * Inform about missing configuration confirmation
  * Ignore changes of unused IOs. Fix #321
  * Fill "io_states" vector as received instead of order by theta to avoid flickering. Fix #320
  * Fixed bug of multiple zonesets being visible #328
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 02 Nov 2022 23:00:00 -0000

ros-noetic-psen-scan-v2 (0.10.1-1focal) focal; urgency=high

  * Separate 'PinState' formating from 'formatRange' (#313)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 23 Jan 2022 23:00:00 -0000

ros-noetic-psen-scan-v2 (0.10.0-1focal) focal; urgency=high

  * Change to new versioning method for ROS1 (0.10.0+) and ROS2 (0.20.0+).
  * Deprecate get/set methods with 'get/set' prefix in favour of methods without the prefix(#298)
  * ADD IO states to LaserScan and publish them at ~/io_state (#281)
  * Renaming Slave to Subscriber (#303)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 19 Jan 2022 23:00:00 -0000

ros-noetic-psen-scan-v2 (0.3.4-1focal) focal; urgency=high

  * Prevent error when diagnostics are disabled. Fix #294
  * Set exception in stop-future
  * Apply clang-tidy fixes to header-files. Fix #277
  * Remove latched flag from active zoneset topic
  * API change: convenience usage of ScannerConfiguration
  * Remove unrelated parameter DEFAULT_X_AXIS_ROTATION from standalone
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 19 Dec 2021 23:00:00 -0000

ros-noetic-psen-scan-v2 (0.3.3-1focal) focal; urgency=high

  * Introduce error state and set exception in start-future
  * Remove dependency on pilz_testutils
  * Always build hardware tests
  * Internal refactorings
  * Importing the config xml-file and publishing the zoneconfiguration
  * Add active zoneset to LaserScan
  * Publish active zoneset id to ~/active_zoneset
  * Add active zoneset visualization in rviz
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 09 Nov 2021 23:00:00 -0000

ros-noetic-psen-scan-v2 (0.3.2-1focal) focal; urgency=high

  * Improve performance of standalone part
    
    Introduce RawDataPtr
    
    Write to std::stringstream instead of constructing from std::string
    
    Pass by reference wherever possible
  * Make release build the default
  * Calculate timestamp as the time of the first ray (udp communication time is neglected)
  * API: Add timestamp (nanoseconds since epoch) to LaserScan
  * API: Add scan counter to LaserScan
  * API: remove LaserScan equality operator
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 15 Sep 2021 22:00:00 -0000

ros-noetic-psen-scan-v2 (0.3.1-1focal) focal; urgency=high

  * Rename urdf links
  * Apply tf prefix equals node name
  * API change: rename launch-file argument prefix->tf_prefix
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 20 Jul 2021 22:00:00 -0000

ros-noetic-psen-scan-v2 (0.3.0-1focal) focal; urgency=high

  * Set prefix for node name (same value as for tf frames)
  * Introduce bringup.launch for starting only the scanner node
  * Omit closing the data client before destruction. Fixes #212
  * Distance value at angle_end is now included in the scan range
  * Default scan range changed to [-137.4..137.4]deg at 0.1 deg resolution
  * Add options for modifying resolution and enabling intensities
  * Add launchfile option for disabling rviz at startup (default: enable)
  * Handle the infinity codes from the scanner correctly
  * Inform user about current scan range
  * Fix wrong behavior when angle_start and angle_end are equal
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 28 Jun 2021 22:00:00 -0000

ros-noetic-psen-scan-v2 (0.2.1-1focal) focal; urgency=high

  * Fix issues with smaller angle ranges than default range (#183 <https://github.com/PilzDE/psen_scan_v2/issues/183>)
  * Add action for pull request todos (#184 <https://github.com/PilzDE/psen_scan_v2/issues/184>)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 18 Apr 2021 22:00:00 -0000

ros-noetic-psen-scan-v2 (0.2.0-1focal) focal; urgency=high

  * Combine multiple monitoring frames into one scan (#173 <https://github.com/PilzDE/psen_scan_v2/issues/173>)
  * Contributors: Pilz GmbH and Co. KG
  * API change: Driver waits for scan round to complete before sending measurement data by default
  * Introducing new parameter fragmented_scans to switch back to faster fragmented laser_scan messages
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 04 Apr 2021 22:00:00 -0000

ros-noetic-psen-scan-v2 (0.1.6-1focal) focal; urgency=high

  * Separate ROS and standalone CMakeLists: Closes #169
  * Minor restructuring. Closes #175
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Mar 2021 23:00:00 -0000

ros-noetic-psen-scan-v2 (0.1.5-1focal) focal; urgency=high

  * Make specifying host ip optional
  * Reorder Readme sections
  * API change: A scan is published only if it contains measurement data
  * Make tests build in standalone with or without ROS installed
  * Document key components in a meaningful expressive way
  * Enable building the standalone lib using MSVC
  * Enable separate building of cpp-lib; extract sources into subproject psen_scan_v2_standalone
  * Renames ScanRange and DefaultScanRange to improve usability
  * Improve namespace hierarchy and move files to respective subfolders
  * Use defaults ports in ScannerConfiguration
  * Contributors: Pilz GmbH and Co. KG



=== debian/control ===
Source: ros-noetic-psen-scan-v2
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), libfmt-dev, libtinyxml2-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-code-coverage <!nocheck>, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-rosbag <!nocheck>, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-roslaunch <!nocheck>, ros-noetic-rostest <!nocheck>, ros-noetic-rosunit <!nocheck>, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-psen-scan-v2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfmt-dev, libtinyxml2-dev, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-robot-state-publisher, ros-noetic-rosconsole-bridge, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-visualization-msgs, ros-noetic-xacro
Description: ROS support for the Pilz laser scanner

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-psen-scan-v2//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
